.. ICARTT documentation master file, created by
   sphinx-quickstart on Thu Feb 10 09:33:37 2022.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

******
icartt
******

icartt is an ICARTT file format reader and writer for Python

The ICARTT data format is described here: https://www-air.larc.nasa.gov/missions/etc/IcarttDataFormat.htm

.. toctree::
   :maxdepth: 2
   :caption: Contents:

Example
#######

.. include:: usage.rst

API
###

.. module:: icartt

Variable
********

.. autoclass:: Variable
   :members:

Dataset
********

.. autoclass:: Dataset
   :members:

DataStore
*********

The .data attribute of an ``icartt.Dataset`` is a DataStore, which can be accessed to add data as follows:

.. autoclass:: DataStore1001
   :members:

.. autoclass:: DataStore2110
   :members:

Formats
********

.. autoenum:: Formats

Variable types
***************

.. autoenum:: VariableType

Indices and tables
###################

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
